=== debian/changelog ===
soapyvolkconverters (0.1.1-1) unstable; urgency=medium

  * Initial release (Closes: #1109227)

 -- Andreas Bombe <aeb@debian.org>  Mon, 14 Jul 2025 14:47:31 +0200
