=== debian/control ===
Source: soapyvolkconverters
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>
Build-Depends:
    debhelper-compat (= 13),
    cmake,
    libvolk-dev,
    libsoapysdr0.8-dev
Standards-Version: 4.7.2
Homepage: https://github.com/pothosware/SoapyVOLKConverters/wiki
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyvolkconverters
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyvolkconverters.git
Rules-Requires-Root: no

Package: soapysdr0.8-module-volkconverters
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: soapysdr0.8-module
Description: Faster and more efficient numeric conversion functions for SoapySDR
 This SoapySDR module adds vectorized numeric conversion functions based
 on GNU Radio VOLK, providing more efficient conversions in many cases
 than with stock SoapySDR. Once this module is installed, nothing more
 needs to be done. Soapy modules that use SoapySDR's converter
 infrastructure will automatically default to these new converters.

Package: soapysdr-module-volkconverters
Architecture: any
Multi-Arch: same
Depends: soapysdr0.8-module-volkconverters, ${misc:Depends}
Description: Faster and more efficient numeric conversion functions for SoapySDR
 This SoapySDR module adds vectorized numeric conversion functions based
 on GNU Radio VOLK, providing more efficient conversions in many cases
 than with stock SoapySDR. Once this module is installed, nothing more
 needs to be done. Soapy modules that use SoapySDR's converter
 infrastructure will automatically default to these new converters.
 .
 This is an empty dependency package that pulls in the VOLK converters module
 for the default version of libsoapysdr.
