=== debian/watch ===
version=4
https://github.com/pothosware/SoapyVOLKConverters/tags .*/soapy-volkconverters-([\d\.]+)\.tar\.(?:xz|gz|bz2)
